/*
 * KOMMANDO_Ausrichtung.java  01.07.99
 *
 *
 * Beilage zum Buch "Software-Entwurf mit UML"
 * von J.Seemann & J. Wolff von Gudenberg,
 * Springer-Verlag, 1999
 * 
 */

/** <i>Benutzerkommando zur Einstellung der Ausrichtung einer Zelle (Details siehe Klasse Kommando)</i> */
 
public class KOMMANDO_Ausrichtung extends Kommando
{
   int Ausrichtung;
   Zelle z;

   public void doit()
   {   
      z = Tabkalk.ZellenEditor().aktuelleZelle();
      int alteAusrichtung = z.getAusrichtung();
      KOMMANDO_Ausrichtung k = new KOMMANDO_Ausrichtung(alteAusrichtung);
      k.z = z;
      z.setAusrichtung(Ausrichtung);
      last = k;
  }

  public void undo() 
  {
      z.setAusrichtung(Ausrichtung);     
  };

  public KOMMANDO_Ausrichtung(int Ausrichtung)
  {
     this.Ausrichtung = Ausrichtung;
  }  
}